For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a chat
      • GETList chats
      • GETGet a chat
      • DELDelete a chat
      • POSTSend a message in a chat
      • POSTStart an outbound chat conversation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIChat

Get a chat

||View as Markdown|
GET
/chat/:chat_id
GET
/v2/chat/:chat_id
$curl https://api.synthflow.ai/v2/chat/fe90071d-fd73-4755-87a4-6aaa0f9bfb25 \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "chat_id": "a830288c-88df-4611-8db2-6db87b4fbb41",
5 "chat_status": "ongoing",
6 "conversation_history": [
7 {
8 "agent_id": "893195c1-c640-438b-9761-2e5357b01cb8",
9 "current_state": "greeting_state",
10 "message": "Hi there!",
11 "timestamp": {},
12 "turn_number": 1
13 },
14 {
15 "agent_id": "user",
16 "current_state": "greeting_state",
17 "message": "hello i want to visit new york city, please fetch information about this city",
18 "timestamp": {},
19 "turn_number": 2
20 },
21 {
22 "agent_id": "893195c1-c640-438b-9761-2e5357b01cb8",
23 "current_state": "main_state",
24 "message": "New York City is an amazing place to visit—full of iconic sights, great food, and endless things to do. Are you looking for travel tips, must-see attractions, or something specific about the city? Let me pull up some details about New York City for you—hang tight!",
25 "timestamp": {},
26 "turn_number": 3
27 }
28 ],
29 "start_timestamp": {},
30 "transcript": "Agent: Hi there!\nUser: hello i want to visit new york city, please fetch information about this city\nAgent: New York City is an amazing place to visit—full of iconic sights, great food, and endless things to do. Are you looking for travel tips, must-see attractions, or something specific about the city? Let me pull up some details about New York City for you—hang tight!",
31 "fsm_log": {
32 "893195c1-c640-438b-9761-2e5357b01cb8": {
33 "current_state": "main_state",
34 "current_turn": "eca8b99f-74a6-409c-8597-b8fee9501f4b",
35 "event_summary": {
36 "action_executed": 1,
37 "action_failed": 1,
38 "command_executed": 2,
39 "command_failed": 1,
40 "command_received": 2,
41 "fsm_started": 1,
42 "state_executed": 2,
43 "state_transition": 1,
44 "turn_changed": 1,
45 "user_input": 1,
46 "utterance_sent": 3
47 },
48 "events": [
49 {
50 "event_type": "fsm_started",
51 "state_id": "greeting_state",
52 "timestamp": 1764337490663,
53 "details": {
54 "fsm_name": "Simple Prompt FSM",
55 "initial_state": "greeting_state",
56 "turn_id": "FirstMessage_13:44:50.663619418"
57 }
58 },
59 {
60 "event_type": "utterance_sent",
61 "state_id": "greeting_state",
62 "timestamp": 1764337490663,
63 "details": {
64 "utterance": "Hi there!"
65 }
66 },
67 {
68 "event_type": "state_executed",
69 "state_id": "greeting_state",
70 "timestamp": 1764337490663,
71 "details": {
72 "state_type": "utterance_state"
73 }
74 },
75 {
76 "event_type": "turn_changed",
77 "state_id": "greeting_state",
78 "timestamp": 1764337611392,
79 "details": {
80 "new_turn_id": "eca8b99f-74a6-409c-8597-b8fee9501f4b",
81 "previous_turn_id": "",
82 "turn_type": ""
83 }
84 },
85 {
86 "event_type": "user_input",
87 "state_id": "greeting_state",
88 "timestamp": 1764337611392,
89 "details": {
90 "is_first_message": false,
91 "message": "hello i want to visit new york city, please fetch information about this city",
92 "skip_llm": false,
93 "turn_type": ""
94 }
95 },
96 {
97 "event_type": "state_transition",
98 "state_id": "main_state",
99 "timestamp": 1764337611392,
100 "details": {
101 "from_state": "greeting_state",
102 "success": true,
103 "to_state": "main_state",
104 "trigger": "user_response"
105 }
106 },
107 {
108 "event_type": "utterance_sent",
109 "state_id": "main_state",
110 "timestamp": 1764337613202,
111 "details": {
112 "reason": "inform",
113 "utterance": "New York City is an amazing place to visit—full of iconic sights, great food, and endless things to do. Are you looking for travel tips, must-see attractions, or something specific about the city?"
114 }
115 },
116 {
117 "event_type": "command_executed",
118 "state_id": "main_state",
119 "timestamp": 1764337613202,
120 "details": {
121 "command_type": "utter",
122 "parameters": [
123 "inform",
124 "New York City is an amazing place to visit—full of iconic sights, great food, and endless things to do. Are you looking for travel tips, must-see attractions, or something specific about the city?"
125 ],
126 "raw_text": "utter inform New York City is an amazing place to visit—full of iconic sights, great food, and endless things to do. Are you looking for travel tips, must-see attractions, or something specific about the city?",
127 "success": true
128 }
129 },
130 {
131 "event_type": "command_received",
132 "state_id": "main_state",
133 "timestamp": 1764337614241,
134 "details": {
135 "command_type": "execute_action",
136 "parameters": [
137 "post_city"
138 ],
139 "raw_text": "execute_action post_city"
140 }
141 },
142 {
143 "event_type": "command_received",
144 "state_id": "main_state",
145 "timestamp": 1764337614241,
146 "details": {
147 "command_type": "utter",
148 "parameters": [
149 "inform",
150 "Let me pull up some details about New York City for you—hang tight!"
151 ],
152 "raw_text": "utter inform Let me pull up some details about New York City for you—hang tight!"
153 }
154 },
155 {
156 "event_type": "action_executed",
157 "state_id": "main_state",
158 "timestamp": 1764337614241,
159 "details": {
160 "action_name": "post_city",
161 "args": "",
162 "state": "main_state"
163 }
164 },
165 {
166 "event_type": "action_failed",
167 "state_id": "main_state",
168 "timestamp": 1764337614784,
169 "details": {
170 "action_name": "post_city"
171 }
172 },
173 {
174 "event_type": "command_failed",
175 "state_id": "main_state",
176 "timestamp": 1764337614784,
177 "details": {
178 "command_type": "execute_action",
179 "parameters": [
180 "post_city"
181 ],
182 "raw_text": "execute_action post_city",
183 "success": false
184 }
185 },
186 {
187 "event_type": "utterance_sent",
188 "state_id": "main_state",
189 "timestamp": 1764337614784,
190 "details": {
191 "reason": "inform",
192 "utterance": "Let me pull up some details about New York City for you—hang tight!"
193 }
194 },
195 {
196 "event_type": "command_executed",
197 "state_id": "main_state",
198 "timestamp": 1764337614784,
199 "details": {
200 "command_type": "utter",
201 "parameters": [
202 "inform",
203 "Let me pull up some details about New York City for you—hang tight!"
204 ],
205 "raw_text": "utter inform Let me pull up some details about New York City for you—hang tight!",
206 "success": true
207 }
208 }
209 ],
210 "execution_stats": {
211 "commands_executed": 2,
212 "state_transitions": 1,
213 "total_events": 16
214 },
215 "fsm_metadata": {
216 "name": "Simple Prompt FSM"
217 },
218 "state_path": [
219 "main_state"
220 ]
221 }
222 }
223 }
224}
Retrieve details of a specific chat session.
Was this page helpful?
Previous

Delete a chat

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

chat_idstringRequiredformat: "uuid"

Response

200
statusstring
Whether the request was successful.
responseobject
Chat session details.

Errors

400
Bad Request Error